import request from '@/utils/request';

// 用户信息
export function GetInfoByRole () {
  return request({
    url: '/api/v1.0/admin/GetInfoByRole',
    method: 'get',
  });
}

export function GetLayerInfoByAreaCode (query) {
  return request({
    url: '/api/v1.0/admin/web/area/selectOneAreaCode',
    method: 'get',
    params: query
  });
}

// 地区字典
export function getAreaList (query) {
  return request({
    url: '/api/v1.0/admin/web/area/areaLevel',
    method: 'get',
    params: query
  });
}
// 保存承包人信息
export function cbhtxx (params) {
  return request({
    url: '/api/v1.0/admin/web/cbhtxx',
    method: 'post',
    data: {
      ...params
    }
  });
}
// 保存地块基本信息
export function cwdjbxx (params) {
  return request({
    url: '/api/v1.0/admin/web/cwdjbxx',
    method: 'post',
    data: {
      ...params
    }
  });
}
// 修改地块基本信息
export function putcwdjbxx (params) {
  return request({
    url: '/api/v1.0/admin/web/cwdjbxx',
    method: 'put',
    data: {
      ...params
    }
  });
}
// 查询地块基本信息
export function cwdjbxxinfo (id) {
  return request({
    url: '/api/v1.0/admin/web/cwdjbxx/' + id,
    method: 'get',
  });
}
// 查询承包人信息列表
export function cbrxxList (query) {
  return request({
    url: '/api/v1.0/admin/web/cbhtxx/list',
    method: 'get',
    params: query
  });
}
// 查询基本信息列表
export function cwdjbxxList (query) {
  return request({
    url: '/api/v1.0/admin/web/cwdjbxx/list',
    method: 'get',
    params: query
  });
}
// 删除承包人信息
export function cbrxxdelete (id) {
  return request({
    url: '/api/v1.0/admin/web/cbhtxx/' + id,
    method: 'delete',
  });
}
// 查询承包人信息
export function cbhtxxinfo (id) {
  return request({
    url: '/api/v1.0/admin/web/cbhtxx/' + id,
    method: 'get',
  });
}
// 修改承包人信息
export function putcbhtxx (params) {
  return request({
    url: '/api/v1.0/admin/web/cbhtxx',
    method: 'put',
    data: {
      ...params
    }
  });
}
// 字典
export function dictdata (type) {
  return request({
    url: '/api/v1.0/admin/system/dict/data/type/' + type,
    method: 'get',
  });
}

export function get (url, params) {
  return request({
    url,
    params: {
      ...params
    }
  })
}

export function post (url, params) {
  return request({
    headers: {
      'Content-Type': 'application/xml'
    },
    url,
    method: 'post',
    data: params
  })
}