import router from './router';
import store from './store';
const whiteList = ['/login']; // 不重定向白名单
router.beforeEach((to, from, next) => {
  if (store.getters.loginInfo) {
    if (to.path === '/login') {
      next({ path: '/login' });
    } else {
      next();
    }
  } else {
    if (whiteList.indexOf(to.path) !== -1) {
      next();
    } else {
      next(`/login?redirect=${to.path}`); // 否则全部重定向到登录页
    }
  }
});
